<% action_url = properties['link'] %>
<% if action_url.present? %>
  <div class="br-container-lg call_to_action-container <%= properties['reverse'].to_i == 1 ? 'reversed' : '' %>">
    <% if action_url.include?('youtube') %>
      <div class="action_img-container">
        <iframe
          class="home__video-iframe"
          src=""
          video_url="<%= action_url %>"
          frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen
        >
        </iframe>
      </div>
    <% else %>
      <div class="action_img-container" style="background-image: url('<%= action_url %>')"></div>
    <% end %>
    <div class="action_content-container">
      <div class="action_content-text">
        <h2 class="action_title"><%= properties['title'] %></h2>
        <p class="action_text"><%= properties['text'] %></p>
      </div>
      <div class="action_button_container">
        <% if properties['button_text_secundary'].present? && properties['button_link_secundary'].present? %>
          <%= link_to(properties['button_text_secundary'], properties['button_link_secundary'], class: "br-button secondary action_link") %>
        <% end %>
        <% if properties['button_text'].present? && properties['button_link'].present? %>
          <%= link_to(properties['button_text'], properties['button_link'], class: "br-button primary action_link") %>
        <% end %>
      </div>
    </div>
  </div>
<% end %>
